| Home | Libraries | People | FAQ | More

##### authority_view::buffer

Return the complete authority.

###### Synopsis

    core::string_view
    buffer() const;

###### Description

This function returns the authority as a percent-encoded string.

###### Example

    assert( parse_authority( "www.example.com" ).value().buffer() == "www.example.com" );

###### BNF

    authority   = [ userinfo "@" ] host [ ":" port ]

###### Exception Safety

Throws nothing.

###### Specification

- 3.2. Authority (rfc3986)